com.sun.jna.platform.win32

## Class WinCrypt.CTL_CONTEXT

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinCrypt.CTL_CONTEXT

- Direct Known Subclasses:
    WinCrypt.CTL_CONTEXT.ByReference
  Enclosing interface:
    WinCrypt

      @Structure.FieldOrder(value={"dwMsgAndCertEncodingType","pbCtlEncoded","cbCtlEncoded","pCtlInfo","hCertStore","hCryptMsg","pbCtlContent","cbCtlContent"})
      public static class WinCrypt.CTL_CONTEXT
      extends Structure

  The CTL_CONTEXT structure contains both the encoded and decoded representations of a CTL. It also contains an opened HCRYPTMSG handle to the decoded, cryptographically signed message containing the CTL_INFO as its inner content.
  See Also:
    MSDN

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `WinCrypt.CTL_CONTEXT.ByReference`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `cbCtlContent`
    `int` | `cbCtlEncoded`
    `int` | `dwMsgAndCertEncodingType`
    `WinCrypt.HCERTSTORE` | `hCertStore`
    `WinCrypt.HCRYPTMSG` | `hCryptMsg`
    `Pointer` | `pbCtlContent`
    `Pointer` | `pbCtlEncoded`
    `WinCrypt.CTL_INFO.ByReference` | `pCtlInfo`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CTL_CONTEXT()`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### dwMsgAndCertEncodingType

          public int dwMsgAndCertEncodingType

    - #### pbCtlEncoded

          public Pointer pbCtlEncoded

    - #### cbCtlEncoded

          public int cbCtlEncoded

    - #### pCtlInfo

          public WinCrypt.CTL_INFO.ByReference pCtlInfo

    - #### hCertStore

          public WinCrypt.HCERTSTORE hCertStore

    - #### hCryptMsg

          public WinCrypt.HCRYPTMSG hCryptMsg

    - #### pbCtlContent

          public Pointer pbCtlContent

    - #### cbCtlContent

          public int cbCtlContent

  - ### Constructor Detail

    - #### CTL_CONTEXT

          public CTL_CONTEXT()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.